//
//  CocoaAdditions.m
//  CocoaAdditions
//
//  Created by Tom Schroeder on 2/23/13.
//  Copyright (c) 2013 Tom Schroeder. All rights reserved.
//

#import "CocoaAdditions.h"

@implementation CocoaAdditions

+ (UIImage *)roundedImage:(UIImage *)image radius:(float)radius
{
   UIGraphicsBeginImageContext(image.size);
   
   CGRect rect = CGRectMake(0, 0, image.size.width, image.size.height);
   [[UIBezierPath bezierPathWithRoundedRect:rect cornerRadius:radius] addClip];
   [image drawInRect:rect];
   UIImage *scaledImage = UIGraphicsGetImageFromCurrentImageContext();
   
   UIGraphicsEndImageContext();
   
   return scaledImage;
}

+ (UIImage *)darkenedImage:(UIImage *)image
{
   UIGraphicsBeginImageContext(image.size);
   
   [image drawAtPoint:CGPointMake(0, 0)];
   
   [[UIColor colorWithWhite:0.0 alpha:0.25] setFill];
   UIRectFillUsingBlendMode(CGRectMake(0, 0, image.size.width, image.size.height), kCGBlendModeNormal);
   
   UIImage *renderedImg = UIGraphicsGetImageFromCurrentImageContext();
   UIGraphicsEndImageContext();
   
   return renderedImg;
}

+ (UIImage *)resizedImage:(UIImage *)image scaledToSize:(CGSize)size
{
   UIGraphicsBeginImageContextWithOptions(size, NO, 0.0);
   
   [image drawInRect:CGRectMake(0, 0, size.width, size.height)];
   UIImage *renderedImg = UIGraphicsGetImageFromCurrentImageContext();
   
   UIGraphicsEndImageContext();
   
   return renderedImg;
}

@end
