//
//  ViewController.m
//  CocoaAdditions
//
//  Created by Tom Schroeder on 2/23/13.
//  Copyright (c) 2013 Tom Schroeder. All rights reserved.
//

#import "ViewController.h"

#import "GZCoreGraphicsAdditions.h"
#import "CocoaAdditions.h"

@implementation ViewController

- (void)viewDidLoad
{
   [super viewDidLoad];
   
}

- (void)viewDidAppear:(BOOL)animated
{
   [super viewDidAppear:animated];
   
   uint size = 40;
   UIImage *img = [UIImage imageWithSize:CGSizeMake(size, size) drawing:^(CGContextRef context, CGRect drawingRect) {
      CGContextDrawConicalGradient(context, drawingRect,
                                   @[[UIColor colorWithRed:0.667 green:0.667 blue:0.667 alpha:1],
                                   [UIColor colorWithRed:0.969 green:0.969 blue:0.969 alpha:1],
                                   [UIColor colorWithRed:0.784 green:0.784 blue:0.784 alpha:1],
                                   [UIColor colorWithRed:0.969 green:0.969 blue:0.969 alpha:1],
                                   [UIColor colorWithRed:0.773 green:0.773 blue:0.773 alpha:1],
                                   [UIColor colorWithRed:1.000 green:1.000 blue:1.000 alpha:1],
                                   [UIColor colorWithRed:0.733 green:0.733 blue:0.733 alpha:1],
                                   [UIColor colorWithRed:0.949 green:0.949 blue:0.949 alpha:1],
                                   [UIColor colorWithRed:0.667 green:0.667 blue:0.667 alpha:1]],
                                   
                                   @[@0.00f, @0.09f, @0.14f, @0.31f, @0.51f, @0.57f, @0.63f, @0.75f, @1.00f]);
      
      CGContextApplyNoise(context, drawingRect, 0.2);
   }];
   
   UIImageView *iv = [[UIImageView alloc] initWithFrame:CGRectMake(10, 10, size, size)];
   iv.image = img;
   [self.view addSubview:iv];
   
   UISlider *slider = [[UISlider alloc] initWithFrame:CGRectMake(20, 200, 1000, 100)];
   [slider setThumbImage:[CocoaAdditions roundedImage:img radius:img.size.height / 2] forState:UIControlStateNormal];
   img = [CocoaAdditions darkenedImage:img];
   [slider setThumbImage:[CocoaAdditions roundedImage:img radius:img.size.height / 2] forState:UIControlStateHighlighted];
   [self.view addSubview:slider];
   
   iv = [[UIImageView alloc] initWithFrame:CGRectMake(500, 100, img.size.width, img.size.height)];
   iv.image = img;
   [self.view addSubview:iv];
}

@end
